#include <glib.h>
#include <string.h>
#include "kf.h"
#include "filter.h"

gboolean kf_filter_is_blocked (const gchar *jid) {
	extern GSList *kf_preferences_blocked_jids;
	GSList *tmp;
	gchar *jidx;

	jidx = g_strdup (jid);
	kf_jabber_jid_crop (jidx);

	tmp = kf_preferences_blocked_jids;
	while (tmp) {
		if (strcmp (jidx, tmp->data) == 0) {
			/* Jid is on our blacklist!!! */
			return TRUE;
		}
		
		tmp = tmp->next;
	}
	g_free (jidx);

	return FALSE;
}

void kf_filter_block_user (const gchar *jid) {
	extern GSList *kf_preferences_blocked_jids;
	GSList *tmp;
	gchar *jidx;

	jidx = g_strdup (jid);
	kf_jabber_jid_crop (jidx);

	kf_preferences_blocked_jids = g_slist_append (kf_preferences_blocked_jids, jidx);
}
